package mlproject.io;


public class TrainingSequence {
    private InputSequence inputSequence;
    private int[] y;
    private boolean valid;
    
    public TrainingSequence(InputSequence inputSequence, int[] states){
        this.inputSequence = inputSequence;
        y = states;
    }

    public InputSequence getInputSequence() {
        return inputSequence;
    }

    /* return actual states*/
    public int[] getY() {
        return y;
    }
    
    /* return state at position pos*/
    public int getY(int pos) {
        return y[pos];
    }
    
    public int length(){
        return y.length;
    }

    public void setValid(boolean valid) {
        this.valid = valid;
    }

    public boolean isValid() {
        return valid;
    }
}
